{
  "Version": 1,
  "WorkspaceRootPath": "D:\\_VS\\TaiVietKey\\",
  "Documents": [
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\properties\\assemblyinfo.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\properties\\assemblyinfo.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|d:\\_vs\\taivietkey\\taivietkey\\frmmain.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\frmmain.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\frmmain.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\frmmain.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\hotkeywindow.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\hotkeywindow.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\frmmain.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\frmmain.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{00000000-0000-0000-0000-000000000000}|\u003CSolution\u003E|TaiVietKey||{04B8AB82-A572-4FEF-95CE-5222444B6B64}|"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\properties\\settings.settings||{6D2695F9-5365-4A78-89ED-F205C045BFE6}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\properties\\settings.settings||{6D2695F9-5365-4A78-89ED-F205C045BFE6}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\properties\\settings.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\properties\\settings.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\frmkm_taiyo.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\frmkm_taiyo.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\frmkm_taiviet.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\frmkm_taiviet.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}|Form"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\frmkm_taiviet.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\frmkm_taiviet.designer.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\frmkm_taiviet.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\frmkm_taiviet.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\properties\\resources.resx||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\properties\\resources.resx||{FA3CD31E-987B-443A-9B81-186104E8DAC1}|"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\properties\\resources.resx||{81828910-B8B3-4D2B-99A3-067027C180C1}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\properties\\resources.resx||{81828910-B8B3-4D2B-99A3-067027C180C1}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\program.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|D:\\_VS\\TaiVietKey\\taivietkey\\keyboardhook.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}",
      "RelativeMoniker": "D:0:0:{C31E7FE3-01F2-4791-BEB7-F81B59A626A5}|TaiVietKey\\TaiVietKey.csproj|solutionrelative:taivietkey\\keyboardhook.cs||{A6C744A8-0E4A-4FC6-886A-064283054674}"
    },
    {
      "AbsoluteMoniker": "D:0:0:{A2FE74E1-B743-11D0-AE1A-00A0C90FFFC3}|\u003CMiscFiles\u003E|D:\\_VS\\TaiVietKey\\TaiVietKey\\tvkey.ico||{177559E0-D141-11D0-92DF-00A0C9138C45}",
      "RelativeMoniker": "D:0:0:{A2FE74E1-B743-11D0-AE1A-00A0C90FFFC3}|\u003CMiscFiles\u003E|solutionrelative:TaiVietKey\\tvkey.ico||{177559E0-D141-11D0-92DF-00A0C9138C45}"
    }
  ],
  "DocumentGroupContainers": [
    {
      "Orientation": 0,
      "VerticalTabListWidth": 256,
      "DocumentGroups": [
        {
          "DockedWidth": 200,
          "SelectedChildIndex": 5,
          "Children": [
            {
              "$type": "Document",
              "DocumentIndex": 14,
              "Title": "Program.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Program.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\Program.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Program.cs",
              "RelativeToolTip": "TaiVietKey\\Program.cs",
              "ViewState": "AgIAAAkAAAAAAAAAAAAAABIAAAAnAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-06-30T23:00:16.825Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 1,
              "Title": "frmMain.cs [Design]",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmMain.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\frmMain.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmMain.cs [Design]",
              "RelativeToolTip": "TaiVietKey\\frmMain.cs [Design]",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-06-28T05:03:01.001Z",
              "EditorCaption": " [Design]"
            },
            {
              "$type": "Document",
              "DocumentIndex": 2,
              "Title": "frmMain.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmMain.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\frmMain.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmMain.cs",
              "RelativeToolTip": "TaiVietKey\\frmMain.cs",
              "ViewState": "AgIAAAkBAAAAAAAAAAAawBgBAAA7AAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-06-28T05:04:02.196Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 6,
              "Title": "Settings.settings",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Settings.settings",
              "RelativeDocumentMoniker": "TaiVietKey\\Properties\\Settings.settings",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Settings.settings",
              "RelativeToolTip": "TaiVietKey\\Properties\\Settings.settings",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.002767|",
              "WhenOpened": "2025-10-09T18:14:31.49Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 4,
              "Title": "frmMain.Designer.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmMain.Designer.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\frmMain.Designer.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmMain.Designer.cs",
              "RelativeToolTip": "TaiVietKey\\frmMain.Designer.cs",
              "ViewState": "AgIAAK4AAAAAAAAAAAAlwLwAAAAvAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-06-28T10:22:46.603Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 0,
              "Title": "AssemblyInfo.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\AssemblyInfo.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\Properties\\AssemblyInfo.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\AssemblyInfo.cs",
              "RelativeToolTip": "TaiVietKey\\Properties\\AssemblyInfo.cs",
              "ViewState": "AgIAAAMAAAAAAAAAAAAAACMAAAAqAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-06-30T23:00:30.309Z",
              "EditorCaption": ""
            },
            {
              "$type": "Document",
              "DocumentIndex": 3,
              "Title": "HotkeyWindow.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\HotkeyWindow.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\HotkeyWindow.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\HotkeyWindow.cs",
              "RelativeToolTip": "TaiVietKey\\HotkeyWindow.cs",
              "ViewState": "AgIAAAAAAAAAAAAAAAAAADQAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-10-15T19:02:10.87Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 5,
              "Title": "TaiVietKey",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\TaiVietKey.csproj",
              "RelativeDocumentMoniker": "TaiVietKey\\TaiVietKey.csproj",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\TaiVietKey.csproj",
              "RelativeToolTip": "TaiVietKey\\TaiVietKey.csproj",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.001001|",
              "WhenOpened": "2025-06-30T22:50:30.003Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 7,
              "Title": "Settings.Designer.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Settings.Designer.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\Properties\\Settings.Designer.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Settings.Designer.cs",
              "RelativeToolTip": "TaiVietKey\\Properties\\Settings.Designer.cs",
              "ViewState": "AgIAAA0AAAAAAAAAAAAmwCYAAAAAAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-10-09T18:15:37.651Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 8,
              "Title": "frmKM_TaiYo.cs [Design]",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiYo.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\frmKM_TaiYo.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiYo.cs [Design]",
              "RelativeToolTip": "TaiVietKey\\frmKM_TaiYo.cs [Design]",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-10-09T17:36:38.702Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 9,
              "Title": "frmKM_TaiViet.cs [Design]",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiViet.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\frmKM_TaiViet.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiViet.cs [Design]",
              "RelativeToolTip": "TaiVietKey\\frmKM_TaiViet.cs [Design]",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-06-28T11:23:06.484Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 11,
              "Title": "frmKM_TaiViet.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiViet.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\frmKM_TaiViet.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiViet.cs",
              "RelativeToolTip": "TaiVietKey\\frmKM_TaiViet.cs",
              "ViewState": "AgIAAAwAAAAAAAAAAAAAABEAAAAJAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-10-09T17:08:12.573Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 10,
              "Title": "frmKM_TaiViet.Designer.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiViet.Designer.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\frmKM_TaiViet.Designer.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\frmKM_TaiViet.Designer.cs",
              "RelativeToolTip": "TaiVietKey\\frmKM_TaiViet.Designer.cs",
              "ViewState": "AgIAACkAAAAAAAAAAAAAADUAAAArAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-10-09T17:13:50.13Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 12,
              "Title": "Resources.resx",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Resources.resx",
              "RelativeDocumentMoniker": "TaiVietKey\\Properties\\Resources.resx",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Resources.resx",
              "RelativeToolTip": "TaiVietKey\\Properties\\Resources.resx",
              "ViewState": "AgIAAHYAAAAAAAAAAAAuwHgAAAACAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.001005|",
              "WhenOpened": "2025-06-28T15:02:59.324Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 13,
              "Title": "Resources.resx",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Resources.resx",
              "RelativeDocumentMoniker": "TaiVietKey\\Properties\\Resources.resx",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\Properties\\Resources.resx",
              "RelativeToolTip": "TaiVietKey\\Properties\\Resources.resx",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.001005|",
              "WhenOpened": "2025-09-29T03:24:22.32Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 15,
              "Title": "KeyboardHook.cs",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\KeyboardHook.cs",
              "RelativeDocumentMoniker": "TaiVietKey\\KeyboardHook.cs",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\KeyboardHook.cs",
              "RelativeToolTip": "TaiVietKey\\KeyboardHook.cs",
              "ViewState": "AgIAAFEAAAAAAAAAAAAAAAwAAAARAAAAAAAAAA==",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.000738|",
              "WhenOpened": "2025-06-28T05:10:00.331Z"
            },
            {
              "$type": "Document",
              "DocumentIndex": 16,
              "Title": "tvkey.ico",
              "DocumentMoniker": "D:\\_VS\\TaiVietKey\\TaiVietKey\\tvkey.ico",
              "RelativeDocumentMoniker": "TaiVietKey\\tvkey.ico",
              "ToolTip": "D:\\_VS\\TaiVietKey\\TaiVietKey\\tvkey.ico",
              "RelativeToolTip": "TaiVietKey\\tvkey.ico",
              "Icon": "ae27a6b0-e345-4288-96df-5eaf394ee369.001525|",
              "WhenOpened": "2025-06-30T22:59:48.88Z"
            }
          ]
        }
      ]
    }
  ]
}